CustomersCustomer
Create a customer address
Adds an address to the authenticated customer's profile.
POST
/v1/customer/addressesAdds an address to the authenticated customer's profile.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/customer/addresses" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store" \ -H "Content-Type: application/json" \ -d '{ "addressKey": "example", "countryIsoCode": "example_code", "addressLine": "example", "addressNumber": "example", "department": "example", "province": "example", "district": "example", "phone": "+51987654321" }'{ "id": "7204558912004325301"}